Subject: Re: [PATCH 2/2] staging: wfx: apply the necessary SDIO quirks for the Silabs WF200

From: Greg Kroah-Hartman <[email-masked]>
Date: Thu, 17 Feb 2022 16:58:42 +0100

On Thu, Feb 17, 2022 at 04:41:38PM +0100, Jérôme Pouiller wrote:
> On Thursday 17 February 2022 16:04:51 CET Kalle Valo wrote:
> > Ulf Hansson <[email-masked]> writes:
> > > On Thu, 17 Feb 2022 at 10:59, Kalle Valo <[email-masked]> wrote:
> > >> Jerome Pouiller <[email-masked]> writes:
> > >> > From: Jérôme Pouiller <[email-masked]>
> > >> >
> > >> > Until now, the SDIO quirks are applied directly from the driver.
> > >> > However, it is better to apply the quirks before driver probing. So,
> > >> > this patch relocate the quirks in the MMC framework.
> > >>
> > >> It would be good to know how this is better, what's the concrete
> > >> advantage?
> > >
> > > The mmc core has a quirk interface for all types of cards
> > > (eMMC/SD/SDIO), which thus keeps these things from sprinkling to
> > > drivers. In some cases, the quirk needs to be applied already during
> > > card initialization, which is earlier than when probing an SDIO func
> > > driver or the MMC block device driver.
> > >
> > > Perhaps it's a good idea to explain a bit about this in the commit message.
> > 
> > I would add the whole paragraph to the commit log :)
> 
> Arf, Greg has just pulled this patch into staging-testing. I assume it is
> too late to change the commit message.

I can drop it, but really, it's fine as-is.

thanks,

greg k-h